make-dbeaver-configuration(1)

NAME
make-dbeaver-configuration - Make DBeaver Configuration from HiPerConTracer Database Configuration Files

SYNOPSIS
make-dbeaver-configuration database_configuration_file ...
[-j | --join]
make-dbeaver-configuration [-h | --help]
make-dbeaver-configuration [-v | --version]

DESCRIPTION
make-dbeaver-configuration takes HiPerConTracer database configuration files and merges them into the DBeaver configuration file.

ARGUMENTS
The following arguments may be provided:

database_configuration_file ...
    Specifies one or more HiPerConTracer database configuration files as input.

-j | --join
    Join with existing DBeaver configuration. The existing configuration is searched in the following directories:

    •   $HOME/.local/share/DBeaverData/workspace6/General/.dbeaver

    •   $HOME/snap/dbeaver-ce/current/.local/share/DBeaverData/workspace6/General/.dbeaver

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The make-dbeaver-configuration tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

make-dbeaver-configuration hipercontracer-database.conf

make-dbeaver-configuration $HOME/test4hpct-*-*.conf --join

make-dbeaver-configuration hipercontracer-database.conf --join

make-dbeaver-configuration project1-database.conf project2-database.conf project3-database.conf --join

make-dbeaver-configuration --version

make-dbeaver-configuration -h

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh